Author Topic: Substance Plugin 4.7.0.5 Released  (Read 8618 times)


Great !  thank you very much for this release :)
I am an Environment Artist working at Elite3D In Valencia.

Im specialized in Environment modeling , sculpting and texturing .
https://www.artstation.com/artist/najimcg

This is the first time I've used the UE4 plugin, so I was just wondering how you install it? I thought I heard something somewhere about moving it into a project folder...

This is the first time I've used the UE4 plugin, so I was just wondering how you install it? I thought I heard something somewhere about moving it into a project folder...


Hey jamesfsky,

I want to quote myself here:
"when you unzip the file, you should get a Folder named 'Plugins'.
Just copy this Folder into you Project-Directory.
i.e.: /documents/unreal projects/[yourProject]"

Also, there is this Topic: https://forum.allegorithmic.com/index.php?topic=1223.0

Hope this helps!


Best Regards
Environment Artist - Twitter

Worked like a charm, thanks!

Binaries:
Windows - https://drive.google.com/file/d/0B-VVgUZypRitekxuUFFJcjN1TVE/view?usp=sharing
Mac - https://drive.google.com/file/d/0B-VVgUZypRitSG9YcHptY0M5VGs/view?usp=sharing

Source:
https://github.com/allegorithmic/UnrealEngine

This is just a compatibility release. Nothing is changed from 4.6.1.5

Hey!

Does this work on 4.7.2?
I've done all the steps exactly as it said and i still get "would you like to rebuild this now?".
Any ideas?

Hey CelPlays,

UE 4.7.2 is supported and there shouldn't be any prompt or problem.


Best Regards
Environment Artist - Twitter

Hi Josh,
   will the plugin work with new Substances published in SD5?
NVM - Fabian confirmed it in another thread.  Thanks for the hard work.

Quote
Nothing is changed from 4.6.1.5

In other words, can I use this plugin if I'm using 4.6.1 :) ? I'm not near my computer atm, but the allegorithmic.com/substance-ue4#plugins website doesn't have any plugins to download anymore, and Fabian pointed to this thread in other threads, so I guess as I'm writing this that there shouldn't be any problem...

Hi justo_figueroa,

The plugin code is a bit different from 4.6.1 to compile on the new 4.7 version, but we did not fix any bugs/add features from 4.6 yet.

We re-added 4.6 to the download page for you if you are still on 4.6.1.

Hi Josh! Yeah, when I tried using the plugin it would not work, so I just updated to 4.7. Thank you for your consideration though. I found it strange that Allegorithmic would drop all support for users who chose to use other versions of the engine...

I'm having a problem finding the updated designer 5 plugin for a project started in ue 4.5  Trying to use any of the plugins published to the page for ue 4.6 or 4.7 ask me to recompile and that is failing.  Any chance you've got a ue 4.5 plugin that works with designer 5?

I'm having a problem finding the updated designer 5 plugin for a project started in ue 4.5  Trying to use any of the plugins published to the page for ue 4.6 or 4.7 ask me to recompile and that is failing.  Any chance you've got a ue 4.5 plugin that works with designer 5?

Hey mattcnc,

unfortunately, there is no Plugin that works with Substance Designer 5 at the moment. I wouldn't hope that the 4.5 Plugin will be updated :/


Best Regards
Environment Artist - Twitter

Hi Josh! Yeah, when I tried using the plugin it would not work, so I just updated to 4.7. Thank you for your consideration though. I found it strange that Allegorithmic would drop all support for users who chose to use other versions of the engine...

We try to support the 2 most recent versions, but the plugin is generally not compatible with the version it's not built with, for example using the 4.7 plugin with 4.6 results in an error. I'm glad you were able to get the plugin working by updating projects though!

Thanks for the heads up.  I'll hold off on making the move to 5 for this project.

I'm having a problem finding the updated designer 5 plugin for a project started in ue 4.5  Trying to use any of the plugins published to the page for ue 4.6 or 4.7 ask me to recompile and that is failing.  Any chance you've got a ue 4.5 plugin that works with designer 5?

Hey mattcnc,

unfortunately, there is no Plugin that works with Substance Designer 5 at the moment. I wouldn't hope that the 4.5 Plugin will be updated :/


Best Regards